List
Note
Keep in mind: the items in the list are returned according to the access level of the token owner.
About rights: access rights
Paginated list of clients
POST https://do.workzeal.com/common/list/paging/1?columns=id,name
Path Parameters
| Name | Type | Description |
|---|---|---|
| /1* | Int | Module code |
Query Parameters
| Name | Type | Description |
|---|---|---|
| sorting_direction | Int | Sorting 0 Asc 1 Desc |
| sorting_column | String | Sort column |
| page | int | Page number |
| records_onpage | Int | Records per page, but no more than 500 |
| columns* | String | List of columns |
Headers
| Name | Type | Description |
|---|---|---|
| Authorization* | String | Bearer XXXXX-XXXXXXX-XXXXX |
| Content-Type | String | application/json |
200: OK Standard response object
401: Unauthorized
{
"status": "success",
"error": "",
"code": null,
"rows": 1,
"pages": 1,
"page": 1,
"value": "[
{"id":1,"name":"Apple"}
]"
{
// Response
}
Example
cURL
PHP
NodeJs(Request)
curl --location --request
POST 'https://do.workzeal.com/common/list/paging/1
?columns=id,name
&records_onpage=1000
&sorting_direction=0
&sorting_column=id
&user_ids=37' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer XXXXXX.XXXXXXX.XXXXXX' \
--data-raw ''
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://do.workzeal.com/common/list/paging/1
?columns=id,name
&records_onpage=1000
&sorting_direction=0
&sorting_column=id&user_ids=37',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => '',
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 0,
CURLOPT_FOLLOWLOCATION => true,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_HTTPHEADER => array(
'Content-Type: application/json',
'Authorization: Bearer XXXXX.XXXXX.XXXXX'
),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://do.workzeal.com/common/list/paging/1
?columns=id,name
&records_onpage=1000
&sorting_direction=0
&sorting_column=id
&user_ids=37',
'headers': {
'Content-Type': 'application/json',
'Authorization': 'Bearer XXXXXX.XXXXXX.XXXXXX'
}
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
})
Columns
| Name | Description |
|---|---|
| id | Client ID |
| name | Name. Client name |
| address | Address. Client address |
| created | Date and time created. Date and time the client was added |
| city | City. Client's city |
| region | Region. Client's region |
| country | Country. Client's country |
| activity_type | Activity. Client's line of business |
| property_form | Ownership type. Client's form of ownership |
| type_id | Client type ID |
| type | |
| created_by | User name or the way the client was added |
| info_source | Source. Client's information source |
| first_name | First name (of an individual) |
| middle_name | Middle name (of an individual) |
| last_name | Last name (of an individual) |
| url | Website. Client's website |
| user_id | Responsible. ID of the responsible user |
| user_name | Responsible. Name of the responsible user |
| person | Legal entity / individual flag |
| note | Note |
| external_code | External code |
| category_id | Client category ID |
| category | Client category |
| status_id | Client status ID |
| status | Client status |
| agent_id | Agent ID |
| agent | Agent |
| tax_id | Tax ID from the list of company details |
| which_site_source | Lead source website |
| which_host_source | Lead source web host |
| which_link_source | Full lead source web link |
| utm_campaign | UTM campaign |
| utm_source | UTM source |
| utm_medium | UTM medium |
| utm_content | UTM content |
| utm_term | UTM term |
| ADD_{name} | Custom fields |
Filtering
Note
Note: you can use 2 filtering methods. Standard filtering by columns. By the ID of a saved filter that was created inside the application, see: filters in the application ⚡️
Filter columns
?id=1
?name=apple
?email=xxx@gmail.com
?phone=+1 890 745 66 89
?tax_id=7811505326
?user_ids=1 or ?user_ids=1,3,4
?page=1 - Number of the page to get
// id - Company code
// name - Name, partial match search
// email - Email of the client or its contact persons
// phone - Phone of the client or its contact persons
// tax_id - Tax ID from the list of company details
// user_ids - Code of the user responsible for the client
// page - Number of the page to get
⚡️ tax_id
A default item must be selected in the list of company details: Client card → Payment details
⚡️ user_ids
User codes can be found in the Users section
Saved custom filters
?user_filter_ids = 1
or
?user_filter_ids=1,2
// user_filter_ids - custom filter ID
⚡️ user_filter_ids
Filter codes can be found in the Filters section